edu.sc.seis.sod.tools

## Class PhaseTimeParser

- java.lang.Object
- - com.martiansoftware.jsap.StringParser
  - - edu.sc.seis.seisFile.client.PatternParser
    - - edu.sc.seis.sod.tools.PhaseTimeParser

-     public class PhaseTimeParser
      extends edu.sc.seis.seisFile.client.PatternParser

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhaseTimeParser()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.martiansoftware.jsap.FlaggedOption` | `createParam(java.lang.String name, java.lang.String defaultPhase, java.lang.String helpMessage)`
    `java.lang.String` | `getErrorMessage(java.lang.String arg)`
    `java.lang.Object` | `parse(java.lang.String arg)`

    - ### Methods inherited from class com.martiansoftware.jsap.StringParser

      `setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhaseTimeParser

          public PhaseTimeParser()

  - ### Method Detail

    - #### createParam

          public static com.martiansoftware.jsap.FlaggedOption createParam(java.lang.String name,
                                                                           java.lang.String defaultPhase,
                                                                           java.lang.String helpMessage)

    - #### parse

          public java.lang.Object parse(java.lang.String arg)
                                 throws com.martiansoftware.jsap.ParseException

      Overrides:
        `parse` in class `edu.sc.seis.seisFile.client.PatternParser`
      Throws:
        `com.martiansoftware.jsap.ParseException`

    - #### getErrorMessage

          public java.lang.String getErrorMessage(java.lang.String arg)

      Specified by:
        `getErrorMessage` in class `edu.sc.seis.seisFile.client.PatternParser`